rust-tokio-reactor

Package information

State
ok

Scheduler parameters

Tracked by Koschei
True
Current priority
236
Manual priority
0
Static priority
0
Arch override
None
Skip resolution
False

Configure scheduling

Tracked by Koschei
Manual priority
Skip resolution
Arch override
Cancel

Dependency changes since last build

systemd-libs
244-1.fc32
244.1-1.fc32
B
libxcrypt
4.4.10-1.fc32
4.4.10-2.fc32
B
libxcrypt-devel
4.4.10-1.fc32
4.4.10-2.fc32
B

Most recent builds

rust-packaging
11-1.fc32
12-2.fc32
1
python3-rust2rpm
11-1.fc32
12-2.fc32
2
rust-srpm-macros
11-2.fc32
12-1.fc32
2
rust-packaging
10-6.fc32
11-1.fc32
1
python3-rust2rpm
10-6.fc32
11-1.fc32
2
rust-srpm-macros
10-2.fc31
11-2.fc32
2
gmp
1:6.1.2-10.fc31
1:6.1.2-12.fc32
3
glibc
2.30.9000-19.fc32
2.30.9000-25.fc32
3
llvm-libs
9.0.0-3.fc32
9.0.0-4.fc32
3
python3
3.8.0-1.fc32
3.8.1~rc1-1.fc32
3
glibc-minimal-langpack
2.30.9000-19.fc32
2.30.9000-25.fc32
4
binutils
2.33.1-8.fc32
2.33.1-10.fc32
4
bash
5.0.7-3.fc31
5.0.11-1.fc32
4
libedit
3.1-29.20191025cv...
3.1-30.20191211cv...
4
libssh
0.9.2-1.fc32
0.9.3-1.fc32
4
glibc-common
2.30.9000-19.fc32
2.30.9000-25.fc32
4
crypto-policies
20191002-1.gitc93dc99....
20191128-1.gitcd267a5....
4
python3-idna
2.8-4.fc32
2.8-5.fc32
4
krb5-libs
1.17-52.fc32
1.17.1-2.fc32
4
python3-libs
3.8.0-1.fc32
3.8.1~rc1-1.fc32
4
glibc-devel
2.30.9000-19.fc32
2.30.9000-25.fc32
4
libbrotli
1.0.7-9.fc32
4
elfutils-libs
0.177-1.fc32
0.178-6.fc32
B
util-linux
2.34-6.fc32
2.35-0.2.fc32
B
ocaml-srpm-macros
5-6.fc31
6-1.fc32
B
annobin
8.91-1.fc32
8.92-1.fc32
B
make
1:4.2.1-14.fc31
1:4.2.1-15.fc32
B
systemd-libs
244~rc1-1.fc32
244-1.fc32
B
elfutils-libelf
0.177-1.fc32
0.178-6.fc32
B
libssh-config
0.9.2-1.fc32
0.9.3-1.fc32
B
libfdisk
2.34-6.fc32
2.35-0.2.fc32
B
python-srpm-macros
3-49.fc32
3-50.fc32
B
libmount
2.34-6.fc32
2.35-0.2.fc32
B
python3-semantic_version
2.6.0-13.fc32
redhat-rpm-config
142-1.fc32
146-1.fc32
B
libsmartcols
2.34-6.fc32
2.35-0.2.fc32
B
python3-pysocks
1.7.1-2.fc32
1.7.1-3.fc32
B
libsemanage
3.0-0.rc1.1.fc32
3.0-1.fc32
B
kernel-headers
5.4.0-0.rc6.git0.1....
5.5.0-0.rc1.git0.1....
B
libblkid
2.34-6.fc32
2.35-0.2.fc32
B
nim-srpm-macros
2-2.fc31
3-1.fc32
B
dwz
0.12-11.fc31
0.13-1.fc32
B
libuuid
2.34-6.fc32
2.35-0.2.fc32
B
elfutils-default-yama-scope
0.177-1.fc32
0.178-6.fc32
B
libsepol
3.0-0.rc.1.fc32
3.0-1.fc32
B
elfutils
0.177-1.fc32
0.178-6.fc32
B
libselinux
3.0-0.r1.1.fc32
3.0-1.fc32
B
qt5-srpm-macros
5.12.5-1.fc32
5.13.2-1.fc32
B
binutils-gold
2.33.1-8.fc32
2.33.1-10.fc32
B
pcre2
10.34-1.fc32
10.34-3.fc32
B
brotli
1.0.7-8.fc32
glibc-headers
2.30.9000-19.fc32
2.30.9000-25.fc32
B
2019-12-04 09:41:22
Package dependencies resolved successfuly
2019-12-04 08:32:55
Package resolution failed
  • Problem: conflicting requests
    - nothing provides rust-srpm-macros = 10 needed by rust-packaging-10-6.fc32.x86_64
rust-memoffset-devel
0.5.3-1.fc32
rust-rand_jitter0.1+std-devel
0.1.4-1.fc31
rust-mio+with-deprecated-devel
0.6.20-1.fc32
rust-rand0.6+std-devel
0.6.5-1.fc31
rust-mio-uds+default-devel
0.6.7-6.fc31
rust-tokio-io+default-devel
0.1.12-3.fc31
rust-rand_pcg0.1+default-devel
0.1.2-1.fc31
rust-rand_hc0.1+default-devel
0.1.0-1.fc31
rust-tokio+codec-devel
0.1.22-2.fc31
rust-rand_core0.4+alloc-devel
0.4.0-1.fc31
rust-rand_core0.4+std-devel
0.4.0-1.fc31
rust-tokio-current-thread+default-devel
0.1.6-3.fc31
rust-tokio-sync-devel
0.1.6-3.fc31
rust-smallvec0.6+std-devel
0.6.12-1.fc32
rust-tokio-executor+default-devel
0.1.8-2.fc31
rust-tokio-tcp-devel
0.1.3-5.fc31
rust-tokio+fs-devel
0.1.22-2.fc31
rust-tokio-devel
0.1.22-2.fc31
rust-crossbeam-queue+default-devel
0.1.2-3.fc31
rust-rustc_version-devel
0.2.3-7.fc31
rust-fnv+default-devel
1.0.6-10.fc31
rust-scopeguard-devel
1.0.0-4.fc31
rust-crossbeam-deque+default-devel
0.7.1-3.fc31
rust-cfg-if+default-devel
0.1.10-1.fc32
rust-memoffset+default-devel
0.5.3-1.fc32
rust-num_cpus+default-devel
1.11.1-1.fc32
rust-rand0.6+alloc-devel
0.6.5-1.fc31
rust-iovec-devel
0.1.4-1.fc32
rust-rand_xorshift0.1+default-devel
0.1.1-1.fc31
rust-net2+default-devel
0.2.33-7.fc31
rust-slab+default-devel
0.4.2-5.fc31
rust-lazy_static-devel
1.4.0-1.fc32
rust-crossbeam-epoch-devel
0.7.2-1.fc32
rust-tokio+timer-devel
0.1.22-2.fc31
rust-rand_jitter0.1-devel
0.1.4-1.fc31
rust-mio-devel
0.6.20-1.fc32
rust-tokio-current-thread-devel
0.1.6-3.fc31
rust-tokio+uds-devel
0.1.22-2.fc31
rust-tokio-io-pool+default-devel
0.1.6-2.fc31
rust-semver-parser0.7+default-devel
0.7.0-12.fc31
rust-tokio-threadpool+default-devel
0.1.15-2.fc31
rust-byteorder-devel
1.3.2-4.fc32
rust-cfg-if-devel
0.1.10-1.fc32
rust-byteorder+std-devel
1.3.2-4.fc32
rust-net2+duration-devel
0.2.33-7.fc31
rust-rand_core0.4-devel
0.4.0-1.fc31
rust-rand_isaac0.1+default-devel
0.1.1-1.fc31
rust-nodrop-devel
0.1.14-1.fc32
rust-crossbeam-utils0.6+default-devel
0.6.6-1.fc32
rust-bytes+default-devel
0.4.12-4.fc31
rust-smallvec0.6-devel
0.6.12-1.fc32
rust-libc+default-devel
0.2.65-1.fc32
rust-rand_chacha0.1-devel
0.1.1-1.fc31
rust-semver-parser0.7-devel
0.7.0-12.fc31
rust-rand_chacha0.1+default-devel
0.1.1-1.fc31
rust-slab-devel
0.4.2-5.fc31
rust-crossbeam-epoch+default-devel
0.7.2-1.fc32
rust-fnv-devel
1.0.6-10.fc31
rust-futures0.1+use_std-devel
0.1.29-1.fc32
rust-rand_core0.3-devel
0.3.1-6.fc31
rust-tokio-udp+default-devel
0.1.3-5.fc31
rust-tokio-sync+default-devel
0.1.6-3.fc31
rust-tokio+tcp-devel
0.1.22-2.fc31
rust-iovec+default-devel
0.1.4-1.fc32
rust-parking_lot_core-devel
0.6.2-1.fc31
rust-tokio-fs+default-devel
0.1.6-3.fc31
rust-tokio-reactor+default-devel
0.1.9-6.fc31
rust-tokio-timer-devel
0.2.11-3.fc31
rust-crossbeam-queue-devel
0.1.2-3.fc31
rust-futures0.1-devel
0.1.29-1.fc32
rust-autocfg+default-devel
0.1.7-1.fc32
rust-tokio+io-devel
0.1.22-2.fc31
rust-lock_api+default-devel
0.3.1-1.fc31
rust-rand_pcg0.1-devel
0.1.2-1.fc31
rust-rand_isaac0.1-devel
0.1.1-1.fc31
rust-log+default-devel
0.4.8-1.fc31
rust-rand_os0.1-devel
0.1.3-1.fc31
rust-bytes-devel
0.4.12-4.fc31
rust-parking_lot+default-devel
0.9.0-1.fc31
rust-tokio-codec+default-devel
0.1.1-6.fc31
rust-rand_core0.4+default-devel
0.4.0-1.fc31
rust-rand_hc0.1-devel
0.1.0-1.fc31
rust-crossbeam-deque-devel
0.7.1-3.fc31
rust-rand_os0.1+default-devel
0.1.3-1.fc31
rust-rand_jitter0.1+default-devel
0.1.4-1.fc31
rust-semver-devel
0.9.0-11.fc31
rust-libc+std-devel
0.2.65-1.fc32
rust-tokio-fs-devel
0.1.6-3.fc31
rust-tokio-threadpool-devel
0.1.15-2.fc31
rust-num_cpus-devel
1.11.1-1.fc32
rust-smallvec0.6+default-devel
0.6.12-1.fc32
rust-byteorder+default-devel
1.3.2-4.fc32
rust-tokio-reactor-devel
0.1.9-6.fc31
rust-tokio-io-devel
0.1.12-3.fc31
rust-crossbeam-utils0.6-devel
0.6.6-1.fc32
rust-tokio-timer+default-devel
0.2.11-3.fc31
rust-parking_lot_core+default-devel
0.6.2-1.fc31
rust-tokio-uds+default-devel
0.2.5-5.fc31
rust-net2-devel
0.2.33-7.fc31
rust-crossbeam-epoch+std-devel
0.7.2-1.fc32
rust-futures0.1+default-devel
0.1.29-1.fc32
rust-tokio-uds-devel
0.2.5-5.fc31
rust-rustc_version+default-devel
0.2.3-7.fc31
rust-futures0.1+with-deprecated-devel
0.1.29-1.fc32
rust-tokio-executor-devel
0.1.8-2.fc31
rust-tokio-io-pool-devel
0.1.6-2.fc31
rust-tokio-udp-devel
0.1.3-5.fc31
rust-arrayvec-devel
0.4.11-1.fc31
rust-crossbeam-utils0.6+std-devel
0.6.6-1.fc32
rust-tokio+udp-devel
0.1.22-2.fc31
rust-semver+default-devel
0.9.0-11.fc31
rust-tokio+rt-full-devel
0.1.22-2.fc31
rust-tokio-codec-devel
0.1.1-6.fc31
rust-libc-devel
0.2.65-1.fc32
rust-rand_xorshift0.1-devel
0.1.1-1.fc31
rust-mio+default-devel
0.6.20-1.fc32
rust-parking_lot-devel
0.9.0-1.fc31
rust-tokio+reactor-devel
0.1.22-2.fc31
rust-rand0.6-devel
0.6.5-1.fc31
rust-lock_api-devel
0.3.1-1.fc31
rust-rand0.6+default-devel
0.6.5-1.fc31
rust-tokio-tcp+default-devel
0.1.3-5.fc31
rust-tokio+default-devel
0.1.22-2.fc31
rust-log-devel
0.4.8-1.fc31
rust-lazy_static+default-devel
1.4.0-1.fc32
rust-mio-uds-devel
0.6.7-6.fc31
rust-tokio+sync-devel
0.1.22-2.fc31
rust-autocfg-devel
0.1.7-1.fc32
rust-mio+default-devel
0.6.19-3.fc31
0.6.20-1.fc32
1
rust-futures0.1+default-devel
0.1.27-3.fc31
0.1.29-1.fc32
1
rust-futures0.1-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-futures0.1+with-deprecated-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-futures0.1+use_std-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-mio+with-deprecated-devel
0.6.19-3.fc31
0.6.20-1.fc32
2
rust-mio-devel
0.6.19-3.fc31
0.6.20-1.fc32
2
rust-iovec+default-devel
0.1.2-7.fc31
0.1.4-1.fc32
3
openssl-libs
1:1.1.1d-4.fc32
1:1.1.1d-5.fc32
3
krb5-libs
1.17-51.fc32
1.17-52.fc32
4
binutils
2.33.1-7.fc32
2.33.1-8.fc32
4
rust-iovec-devel
0.1.2-7.fc31
0.1.4-1.fc32
4
pcre2
10.34-0.2.RC2.fc32
10.34-1.fc32
B
systemd-libs
243.4-1.fc32
244~rc1-1.fc32
B
gdb-minimal
9.0.50.20191018-1.fc32
9.0.50.20191119-2.fc32
B
rust-smallvec+std-devel
0.6.10-3.fc31
binutils-gold
2.33.1-7.fc32
2.33.1-8.fc32
B
rust-smallvec0.6+default-devel
0.6.12-1.fc32
B
rust-smallvec+default-devel
0.6.10-3.fc31
rust-smallvec0.6-devel
0.6.12-1.fc32
B
libtasn1
4.14-2.fc31
4.15.0-1.fc32
B
rust-smallvec0.6+std-devel
0.6.12-1.fc32
B
rust-smallvec-devel
0.6.10-3.fc31
audit-libs
3.0-0.15.20191104...
3.0-0.16.20191104...
B
2019-11-22 20:43:04
Package dependencies resolved successfuly
2019-11-22 20:06:01
Package resolution failed
  • Problem: package rust-tokio-reactor-devel-0.1.9-6.fc31.noarch requires (crate(parking_lot/default) >= 0.9.0 with crate(parking_lot/default) < 0.10.0), but none of the providers can be installed
    - package rust-tokio-reactor+default-devel-0.1.9-6.fc31.noarch requires crate(tokio-reactor) = 0.1.9, but none of the providers can be installed
    - package rust-parking_lot+default-devel-0.9.0-1.fc31.noarch requires crate(parking_lot) = 0.9.0, but none of the providers can be installed
    - package rust-tokio+reactor-devel-0.1.22-2.fc31.noarch requires (crate(tokio-reactor/default) >= 0.1.1 with crate(tokio-reactor/default) < 0.2.0), but none of the providers can be installed
    - package rust-parking_lot-devel-0.9.0-1.fc31.noarch requires (crate(parking_lot_core/default) >= 0.6.0 with crate(parking_lot_core/default) < 0.7.0), but none of the providers can be installed
    - package rust-tokio+default-devel-0.1.22-2.fc31.noarch requires crate(tokio/reactor) = 0.1.22, but none of the providers can be installed
    - package rust-parking_lot_core+default-devel-0.6.2-1.fc31.noarch requires crate(parking_lot_core) = 0.6.2, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(smallvec/default) >= 0.6.0 with crate(smallvec/default) < 0.7.0) needed by rust-parking_lot_core-devel-0.6.2-1.fc31.noarch
  • Problem: package rust-parking_lot-devel-0.9.0-1.fc31.noarch requires (crate(parking_lot_core/default) >= 0.6.0 with crate(parking_lot_core/default) < 0.7.0), but none of the providers can be installed
    - package rust-parking_lot+default-devel-0.9.0-1.fc31.noarch requires crate(parking_lot) = 0.9.0, but none of the providers can be installed
    - package rust-parking_lot_core+default-devel-0.6.2-1.fc31.noarch requires crate(parking_lot_core) = 0.6.2, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(smallvec/default) >= 0.6.0 with crate(smallvec/default) < 0.7.0) needed by rust-parking_lot_core-devel-0.6.2-1.fc31.noarch
  • Problem: package rust-tokio-reactor+default-devel-0.1.9-6.fc31.noarch requires crate(tokio-reactor) = 0.1.9, but none of the providers can be installed
    - package rust-tokio+reactor-devel-0.1.22-2.fc31.noarch requires (crate(tokio-reactor/default) >= 0.1.1 with crate(tokio-reactor/default) < 0.2.0), but none of the providers can be installed
    - package rust-tokio-reactor-devel-0.1.9-6.fc31.noarch requires (crate(parking_lot/default) >= 0.9.0 with crate(parking_lot/default) < 0.10.0), but none of the providers can be installed
    - package rust-tokio+default-devel-0.1.22-2.fc31.noarch requires crate(tokio/reactor) = 0.1.22, but none of the providers can be installed
    - package rust-parking_lot+default-devel-0.9.0-1.fc31.noarch requires crate(parking_lot) = 0.9.0, but none of the providers can be installed
    - package rust-tokio-io-pool-devel-0.1.6-2.fc31.noarch requires (crate(tokio/default) >= 0.1.0 with crate(tokio/default) < 0.2.0), but none of the providers can be installed
    - package rust-parking_lot-devel-0.9.0-1.fc31.noarch requires (crate(parking_lot_core/default) >= 0.6.0 with crate(parking_lot_core/default) < 0.7.0), but none of the providers can be installed
    - package rust-tokio-io-pool+default-devel-0.1.6-2.fc31.noarch requires crate(tokio-io-pool) = 0.1.6, but none of the providers can be installed
    - package rust-parking_lot_core+default-devel-0.6.2-1.fc31.noarch requires crate(parking_lot_core) = 0.6.2, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(smallvec/default) >= 0.6.0 with crate(smallvec/default) < 0.7.0) needed by rust-parking_lot_core-devel-0.6.2-1.fc31.noarch
Previous history